# Uses of Enum
ch.qos.logback.core.rolling.helper.CompressionMode

Packages that use CompressionMode
Package
Description
ch.qos.logback.core.rolling
Implements various file rolling policies.
ch.qos.logback.core.rolling.helper
Internal helper classes used by `ch.qos.logback.core.rolling` package.

## Uses of CompressionMode in ch.qos.logback.core.rolling

Fields in ch.qos.logback.core.rolling declared as CompressionMode
Modifier and Type
Field
Description
`protected CompressionMode`
RollingPolicyBase.`compressionMode`
Methods in ch.qos.logback.core.rolling that return CompressionMode
Modifier and Type
Method
Description
`CompressionMode`
RollingPolicy.`getCompressionMode()`
The compression mode for this policy.
`CompressionMode`
RollingPolicyBase.`getCompressionMode()`

## Uses of CompressionMode in ch.qos.logback.core.rolling.helper

Methods in ch.qos.logback.core.rolling.helper that return CompressionMode
Modifier and Type
Method
Description
`static CompressionMode`
CompressionMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompressionMode[]`
CompressionMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in ch.qos.logback.core.rolling.helper with parameters of type CompressionMode
Modifier and Type
Method
Description
`static String`
Compressor.`computeFileNameStrWithoutCompSuffix(String fileNamePatternStr, CompressionMode compressionMode)`
Constructors in ch.qos.logback.core.rolling.helper with parameters of type CompressionMode
Modifier
Constructor
Description
``
`Compressor(CompressionMode compressionMode)`